fabfisc
Contributor
Contributor

Downgrade Paravirtual (PVSCSI) to LSI Logical SAS

Ciao,

spero sia la sezione corretta.

Ho una vm generata probabilmente su vCenter 6.7 o 7, ma questo poco importa.
Quello che mi interessa fare è farla funzionare su un vCenter 5.5.

Attualmente ha un HW compatibility pari a 15, l'ho provato a downgradare al 10 ma non parte.

Ho tentato diverse strade senza successo: converter, modifica .vmx (virtualHW.version = "10"), creazione nuova vm e aggiunta del disco esistente ("Dracut-initqueue timeout").

Il problema sembra risiedere nel fatto che il Controller assegnato automaticamente dal vCenter (6.7 o 7) in fase di creazione sia di tipo Paravirtual (PVSCSI) e non LSI Logical SAS.

Esiste un modo per rendere il disco visibile nel vecchio vCenter 5.5?

 

Grazie in anticipo per il supporto.

Fabrizio

0 Kudos
3 Replies
fabio1975
Expert
Expert

Ciao 

Hai provato a convertire la VM  con VMware Converter? (Devi poter spegnere la VM e avere un vCenter 5.5 disponibile)

Altrimenti ho trovato questo;

If you are in the situation where you have decided to use the paravirtual SCSI driver and then for some reason found out that you no longer wish to use it (for example if you are using Microsoft Clustering) - there is a way of getting Windows to boot correctly without throwing a BSOD.

This is a bit of a hack and slash method but (with my limited testing) appears to work OK for Windows Server 2012 R2. To get this too work firstly create an additional hard drive and attach it too SCSI port 1:0:0 (this will create an additional LSI SAS SCSI controller) and boot into Windows using the paravirtual SCSI controller. Once you have booted into Windows you should see "New Hardware Detected" - this is hopefully be installing the driver for the new (SAS) SCSI controller. Now if everything goes according to plan you should be able to shutdown your VM, change the paravirtual SCSI controller to SAS and successfully boot into Windows!
 
 

 

Fabio
BLOG:https://vmvirtual.blog

if satisfied give me a kudos
0 Kudos
fabfisc
Contributor
Contributor

Ciao Fabio,

 

per mia svista non avevo specificato che l'OS di riferimento fosse Linux 8.
Il tuo suggerimento, quindi, non è purtroppo applicabile al mio caso.

 

Ho a disposizione due vCenter 5.5 e 6.7.

Ho provato col Converter sia 5 che 6.

Con la versione 5, tentando di collegarmi all'Infrastructure, mi viene fuori "SSL Exception: Unexpected EOF".

Con la versione 6 riesco invece ad accedere al vCenter ma poi, selezionata la vm e provando a proseguire, va in errore con "A file I/O error occurred while accessing"

0 Kudos
fabio1975
Expert
Expert

Ciao 

prova ad utilizzare l'FDQN  del vCenter sorgente e non l'IP address.

 

Fabio  

 

Fabio
BLOG:https://vmvirtual.blog

if satisfied give me a kudos
0 Kudos